include $(top_srcdir)/common.make

plugins_LTLIBRARIES = python.la
python_la_SOURCES = \
	pst.c			\
	pst.h			\
	pst-category.c		\
	pst-category.h		\
	pst-handler-config.c	\
	pst-handler-config.h	\
	pst-handler-field.c	\
	pst-handler-field.h	\
	pst-handler.c		\
	pst-handler.h		\
	pst-helpers.c		\
	pst-helpers.h		\
	pst-main.c		\
	pst-stream.c		\
	pst-stream.h		\
	pst-transfer-session.c	\
	pst-transfer-session.h
python_la_LDFLAGS = -avoid-version -module $(EMBEDDED_PYTHON_LIBS) $(PYGTK_LIBS)

scriptsdir = $(pkgdatadir)/python/scripts
iconsdir = $(pkgdatadir)/python/icons

AM_CPPFLAGS = $(WARN_CFLAGS) $(ST_CFLAGS) $(EMBEDDED_PYTHON_CFLAGS) $(PYGTK_CFLAGS) \
	-DSCRIPTS_DIR="\"$(scriptsdir)\""	\
	-DICONS_DIR="\"$(iconsdir)\""

dist_scripts_DATA = basic.ch.py google-stations.py punkcast.com.py
dist_icons_DATA = basic.ch.png google-stations.png punkcast.com.png
